RDKit::Chirality Namespace Reference

## Classes

struct | StereoInfo

## Enumerations

enum class | StereoType { Unspecified , Atom_Tetrahedral , Bond_Double , Bond_Cumulene_Even , Bond_Atropisomer }
enum class | StereoDescriptor { None , Tet_CW , Tet_CCW , Bond_Cis , Bond_Trans }
enum class | StereoSpecified { Unspecified , Specified , Unknown }

## Functions

RDKIT_GRAPHMOL_EXPORT std::vector< StereoInfo > | findPotentialStereo (ROMol &mol, bool cleanIt, bool flagPossible=true)
| identifies potential stereoatoms and stereobonds in a molecule More...
RDKIT_GRAPHMOL_EXPORT std::vector< StereoInfo > | findPotentialStereo (const ROMol &mol)
| overload More...
RDKIT_GRAPHMOL_EXPORT INT_VECT | findStereoAtoms (const Bond *bond)

## Enumeration Type Documentation

## StereoDescriptor

enum RDKit::Chirality::StereoDescriptor

strong

Enumerator
None |
Tet_CW |
Tet_CCW |
Bond_Cis |
Bond_Trans |

Definition at line 68 of file Chirality.h.

## StereoSpecified

enum RDKit::Chirality::StereoSpecified

strong

Enumerator
Unspecified |
Specified |
Unknown |

Definition at line 70 of file Chirality.h.

## StereoType

enum RDKit::Chirality::StereoType

strong

Enumerator
Unspecified |
Atom_Tetrahedral |
Bond_Double |
Bond_Cumulene_Even |
Bond_Atropisomer |

Definition at line 60 of file Chirality.h.

## Function Documentation

## findPotentialStereo() [1/2]

RDKIT_GRAPHMOL_EXPORT std::vector<StereoInfo> RDKit::Chirality::findPotentialStereo | ( | const ROMol & | mol | ) |

overload

## findPotentialStereo() [2/2]

RDKIT_GRAPHMOL_EXPORT std::vector<StereoInfo> RDKit::Chirality::findPotentialStereo | ( | ROMol & | mol,
|  | bool | cleanIt,
|  | bool | flagPossible = `true`
| ) |  |

identifies potential stereoatoms and stereobonds in a molecule

Note that this function is still somewhat experimental and the API and results may change in a future release.

Parameters

  mol | the molecule to look for stereo in
  cleanIt | remove chirality/stereo specifications from atoms/bonds that cannot be chiral/stereo

## findStereoAtoms()

RDKIT_GRAPHMOL_EXPORT INT_VECT RDKit::Chirality::findStereoAtoms | ( | const Bond * | bond | ) |